import base64

import spirecloudpdf
from spirecloudpdf.configuration import Configuration as PdfConfiguration

appId = "your id"
appKey = "your key"
configuration = PdfConfiguration(appId, appKey)
api = spirecloudpdf.api.pdf_attachments_api.PdfAttachmentsApi(configuration)

fileName = "sample.pdf"
outputPath = "Attachments/addAttachment.pdf"
attachmentFileName = "Sample.pdf"
description = "Added a pdf file attachment"
inputFolder = "document"
password = base64.b64encode("test".encode('utf-8'))
api.add_attachment(fileName, outputPath, fileName, attachment_file_name=attachmentFileName, attachment_description=description, folder=inputFolder, password=password)