import base64

import spirecloudpdf
from spirecloudpdf import Bookmark, Color
from spirecloudpdf.configuration import Configuration as PdfConfiguration

appId = "your id"
appKey = "your key"
configuration = PdfConfiguration(appId, appKey)
api = spirecloudpdf.api.pdf_bookmarks_api.PdfBookmarksApi(configuration)

name = "Bookmarks.pdf"
outputPath = "Bookmark/UpdateBookmark.pdf"
bookmarkPath = "1-1"
inputFolder = "PdfDocument"
password = base64.b64encode("test".encode('utf-8'))
bookmark = Bookmark(None, "updatedTitle", False, False, Color(0, 255, 0, 0), None, "XYZ", 1, None, 10, None, 20, None, None, None)
api.update_bookmark(name, outputPath, bookmarkPath, bookmark, folder=inputFolder, password=password)


