import spirecloudpdf
from spirecloudpdf import DocumentProperty, DocumentProperties
from spirecloudpdf.configuration import Configuration as PdfConfiguration

appId = "your id"
appKey = "your key"
configuration = PdfConfiguration(appId, appKey)
api = spirecloudpdf.api.pdf_properties_api.PdfPropertiesApi(configuration)

property_list = [
    # Update properties
    DocumentProperty("Author", "Amy", True),
    DocumentProperty("CreationDate", "2019/10/14 11:01:55", True),
    DocumentProperty("Creator", "E-iceblue", True),
    DocumentProperty("Keywords", "my keywords", True),
    DocumentProperty("ModificationDate", "2019/12/11 15:41:33", True),
    DocumentProperty("Producer", "Spire.cloud.pdf", True),
    DocumentProperty("Subject", "The subject", True),
    DocumentProperty("Title", "The title", True),
    # Add properties
    DocumentProperty("customerProperty1", "my first customerProperty", False),
    DocumentProperty("customerProperty2", "my second customerProperty", False)]
properties = DocumentProperties(property_list)
fileName = "document.pdf"
inputFolder = "PdfDocument"
password = None
outputPath = "Properties/addProperties.pdf"
api.add_or_update_properties(fileName, outputPath, properties, folder=inputFolder, password=password)