import base64

import spirecloudpdf
from spirecloudpdf.configuration import Configuration as PdfConfiguration

appId = "your id"
appKey = "your key"
configuration = PdfConfiguration(appId, appKey)
api = spirecloudpdf.api.pdf_security_api.PdfSecurityApi(configuration)

name = "Encrypt.pdf"
outputPath = "Security/sample.pdf"
folder = "PdfDocument"
userPassword = base64.b64encode("abcd".encode('utf-8'))
ownerPassword = base64.b64encode("1234".encode('utf-8'))
api.encrypt_document_in_storage(name, outputPath, userPassword, ownerPassword, key_size="Key40Bit", permissions_flags=["CopyContent", "EditAnnotations","AccessibilityCopyContent", "AssembleDocument"], folder=folder)